const {
    request_wxrlxf
} = require("../func/request")

const doPass = (data) => {
    return request_wxrlxf({
        url: '/api/next/doGetFacePass',
        data: data,
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//获取是否有自定义字段
const getContextByAdminId = (orgId) => {
    return request_wxrlxf({
        url: '/api/next/getContextByAdminId',
        data: {
            adminId: orgId
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}

//获取用户填写的自定义字段内容
const selectContextByCardId = (orgId, userId) => {
    return request_wxrlxf({
        url: '/api/next/selectContextByCardId',
        data: {
            adminId: orgId,
            id: userId
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}

//提交自定义字段填写结果
const InsertContentByCardId = (data) => {
    return request_wxrlxf({
        url: '/api/next/InsertContentByCardId',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//获得省份列表
const getProvince = () => {
    return request_wxrlxf({
        url: '/api/next/getProvince',
        data: {},
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//获得城市列表
const getCity = (areaCodeId) => {
    return request_wxrlxf({
        url: '/api/next/getCity',
        data: {
            areaCodeId
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//获得区县列表
const getArea = (areaCodeId) => {
    return request_wxrlxf({
        url: '/api/next/getArea',
        data: {
            areaCodeId
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//获得街道列表
const getStreet = (areaCodeId) => {
    return request_wxrlxf({
        url: '/api/next/getStreet',
        data: {
            areaCodeId
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//   实名认证方式：返回1-老 2-新
const realAuthenticationType = (data) => {
    return request_wxrlxf({
        url: '/api/next/realAuthenticationType',
        data,
        method: 'post',
        type: 'application/json'
    })
}
//   实名认证方式：新
const doConfirmFaceNotifyNew = (data) => {
    return request_wxrlxf({
        url: '/api/next/doConfirmFaceNotifyNew',
        data,
        method: 'post',
        type: 'application/json'
    })
}
//   用户信息录入常客-访客表
const userInfoInsert = (data) => {
    return request_wxrlxf({
        url: '/api/next/userInfoInsert',
        data,
        method: 'post',
        type: 'application/json'
    })
}
// 获取账号的配置信息
const getAdminConfig = (adminId) => {
    return request_wxrlxf({
        url: '/api/next/getAdminConfig',
        data: {
            adminId
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//   卡号认证-通过卡号获取用户信息
// const getUserWhiteByCardIdEx = (data) => {
//     return request_wxrlxf({
//         url: '/api/next/getUserWhiteByCardIdEx',
//         data,
//         method: 'post',
//         type: 'application/json'
//     })
// }
//   卡号认证-通过卡号获取用户信息
const getPicture = (data) => {
    return request_wxrlxf({
        url: '/upload/getPicture',
        data,
        method: 'post',
        type: 'application/json'
    })
}
//获取管理员信息
const getAdminInfoById = (orgId) => {
    return request_wxrlxf({
        url: '/api/admin/getAdminInfoById',
        data: {
            adminId: orgId,
        },
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
//   用户OpenId填入
const openIdSet = (data) => {
    return request_wxrlxf({
        url: '/api/next/openIdSet',
        data,
        method: 'post',
        type: 'application/json'
    })
}

//   物理卡号填入
const cardIdExSet = (data) => {
    return request_wxrlxf({
        url: '/api/next/cardIdExSet',
        data,
        method: 'post',
        type: 'application/json'
    })
}

// ----------------------访客机接口---------------------------------
//更新访客机用户
const updateVisitDeviceUser = (data) => {
    return request_wxrlxf({
        url: '/api/next/updateVisitDeviceUser',
        data,
        method: 'post',
        type: 'application/json'
    })
}

module.exports = {
    doPass,
    getContextByAdminId,
    selectContextByCardId,
    InsertContentByCardId,
    getProvince,
    getCity,
    getArea,
    getStreet,
    realAuthenticationType,
    doConfirmFaceNotifyNew,
    userInfoInsert,
    getAdminConfig,
    // getUserWhiteByCardIdEx,
    getPicture,
    getAdminInfoById,
    updateVisitDeviceUser,
    openIdSet,
    cardIdExSet,
}