const {
    request_wxrlxf
} = require("../func/request")
// --------------问题上报---------------
//问题上报
const addProblemReport = (data) => {
    return request_wxrlxf({
        url: '/problemReport/addProblemReport',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//处理结果满意度评价
const evaluate = (data) => {
    return request_wxrlxf({
        url: '/problemReport/evaluate',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//上报记录列表
const getProblemReportList = (data) => {
    return request_wxrlxf({
        url: '/problemReport/getProblemReportList',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//查询问题上报详情
const getProblemReportDetailById = (reportId) => {
    return request_wxrlxf({
        url: '/problemReport/getProblemReportDetailById',
        data: {
            reportId
        },
        method: 'post',
        type: 'application/x-www-form-urlencoded'
    })
}
//查询管理员是否开启问题上报，区域消杀
const getAuthFlagByAdminId = (adminId) => {
    return request_wxrlxf({
        url: '/problemReport/getAuthFlagByAdminId',
        data: {
            adminId
        },
        method: 'post',
        type: 'application/x-www-form-urlencoded'
    })
}
// -------------区域消杀----------------
//账号判定回显
const adminShowCheck = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/adminShowCheck',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀登记-openId填入
const disinfectSetOpenId = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectSetOpenId',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀登记-扫码
const disinfectScanQrcode = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectScanQrcode',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀登记-上报
const disinfectCommit = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectCommit',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀记录-消杀区域列表
const disinfectList = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectList',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀记录-消杀区域今日消杀
const disinfectTodayList = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectTodayList',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀记录-消杀区域提醒消杀
const disinfectRemind = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectRemind',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
//消杀记录-消杀区域编辑
const disinfectEdit = (data) => {
    return request_wxrlxf({
        url: '/api/disinfect/disinfectEdit',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}

module.exports = {
    getProblemReportDetailById,
    getProblemReportList,
    evaluate,
    addProblemReport,
    getAuthFlagByAdminId,
    adminShowCheck,
    disinfectSetOpenId,
    disinfectScanQrcode,
    disinfectCommit,
    disinfectList,
    disinfectTodayList,
    disinfectRemind,
    disinfectEdit,
}